/*utf8解析行 Don't remove or modify this first line!*/
#ifndef WNCOMMONSOCKETDELEGATE_H
#define WNCOMMONSOCKETDELEGATE_H

class WNCommonSocket;

class WNCommonSocketDelegate
{
public:
	//可以进行Accept连接
	virtual void OnCommonSocketAccept(WNCommonSocket* sock) {  }
	//远程socket已关闭
	virtual void OnCommonSocketClose(WNCommonSocket* sock) {  }
	//有错误发生
	virtual void OnCommonSocketError(WNCommonSocket* sock, int iErrorCode) {  }
	//有数据可以接收
	virtual void OnCommonSocketReceive(WNCommonSocket* sock, unsigned int uUnreadDataLen) {  }
	//提示接收缓冲区已满
	//仅仅在socket的类型为SOCK_STREAM(tcp)时有效
	virtual void OnCommonSocketRecvBufferFulled(WNCommonSocket* sock, void* pBuffer, unsigned int uBufferLen, unsigned int uUnreadDataLen) {  }
	virtual bool OnCommonSocketThreadProc(unsigned int* uSleepTime) { return true; }
	virtual ~WNCommonSocketDelegate(){}
};

#endif
