/*utf8解析行 Don't remove or modify this first line!*/
#ifndef WNTIMER_H
#define WNTIMER_H

#include "ACCallback.h"

class WNTimer;

typedef void (*TimerProc)(long hwnd, unsigned int uMsg, unsigned int* idEvent, unsigned long dwTime);
typedef void (*WNTimerDelegate)(WNTimer* pTimer, unsigned int uFireTimes);


class WNTimer : public ACCallbackEx<WNTimerDelegate>
{
public:
	WNTimer();
	~WNTimer();
	//开始计时器
	//uInterval表示触发间隔
	//如果计时器已经存在，则重置计时器
	void StartTimer(unsigned int uInterval);
	//停止计时器
	void StopTimer();
	//触发计时器(调用一次托管函数)
	void Fire();
protected:
	void InternalTimerProc(int i);
public:
	 unsigned int* muTimerId;
	 unsigned int muFireTimes;
	 unsigned int muInterval;
	ACCallbackEx<TimerProc> mTimerProc;
};

#endif