#include "TTSManager.h"

int main(int argc, char* argv[])
{
	TTSManager tts;
	if(!tts.InitSoundMap())
	{
		printf("InitSoundMap failed\n");
	}

	printf("before PlayWelcome\n");
	tts.PlayWelcome();
	printf("after PlayWelcome\n");
	char c;
	while((c = getchar()) != 'q')
	{
		if(c == '1')
		{
			tts.PlayRankingInfo(21304, 12132, "27");
		}
		else if(c == '2')
		{
			//1289.30 1.2 803  978.56
			int intPart[4] = {1289, 1, 803, 978};
			char * decPart[4] = {"30", "2", "0", "56"};
			tts.PlayUserInfo(intPart, decPart);
		}
		else if(c == '3')
		{
			tts.PlayNoInfoAtStart();
		}
		else if(c == '4')
		{
			tts.PlayNoInfoAtThisPoint();
		}
		else if(c == '5')
		{
			tts.PlayNoUserInfo();
		}
		else if(c == '6')
		{
			tts.PlaySetStart();
		}
		else if(c == '7')
		{
			tts.PlayUserDistance(5001, "88");
		}
		getchar();
	}
	printf("exit while loop\n");
	
	tts.UninitSoundMap();
	
	return 0;
	
	
	FILE * fpWel = fopen("pcm/welcome.pcm", "rb");
	FILE * fpBt2 = fopen("pcm/bt2.pcm", "rb");
	
	/*获取文件的长度*/
	fseek(fpWel, 0, SEEK_END);
	long lenWel = ftell(fpWel);
	fseek(fpBt2, 0, SEEK_END);
	long lenBt2 = ftell(fpBt2);
	
	int space = 8000;
	int len = lenWel + lenBt2 + space;
	
	fseek(fpWel, 0, SEEK_SET);
	fseek(fpBt2, 0, SEEK_SET);
	char * buf = new char[len];
	memset(buf, 0, len);
	fread(buf, 1, lenWel, fpWel);
	fread(buf + lenWel + space, 1, lenBt2, fpBt2);
	
	FILE * fp = fopen("out.pcm", "wb");
	fwrite(buf, 1, len, fp);
	fclose(fpWel);
	fclose(fpBt2);
	fclose(fp);
	
	return 0;
}
